<template>
  <div class="container-xxl">
    <div class="row mt-5">
      <div class="col-12">
        <div class="card card-flush shadow-sm">
          <div class="card-header d-flex flex-column flex-md-row">
            <h3 class="card-title fw-bolder text-dark">
              Lista de tipos de razas
            </h3>

            <div class="card-toolbar justify-content-end">
              <button
                class="btn btn-success shadow-sm"
                data-bs-toggle="modal"
                data-bs-target="#modal_tipo_raza_crear"
              >
                <i class="bi bi-plus-lg fs-4 me-2" />Agregar
              </button>

              <button
                class="btn btn-primary ms-5"
                @click="onTipoRazaListar()"
              >
                <i class="bi bi-arrow-clockwise fs-4 me-2" />Actualizar
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-12">
        <tabla-listar
          ref="tablaTipoRazaListar"
          @on-tipo-raza-editar="onTipoRazaEditar"
          @on-tipo-taza-eliminar="onTipoRazaEliminar"
        />
      </div>
    </div>

    <modal-crear @on-tipo-taza-listar="onTipoRazaListar" />

    <modal-editar
      :tipo-raza="sTipoRaza"
      @on-tipo-taza-listar="onTipoRazaListar"
    />

    <modal-eliminar
      :tipo-raza="sTipoRaza"
      @on-tipo-raza-listar="onTipoRazaListar"
    />
  </div>
</template>
<script>
import TablaListar from '@/components/panel/tipo_raza/TablaTipoRazaListar.vue';
import ModalCrear from '@/components/panel/tipo_raza/ModalTipoRazaCrear.vue';
import ModalEditar from '@/components/panel/tipo_raza/ModalTipoRazaEditar.vue';
import ModalEliminar from '@/components/panel/tipo_raza/ModalTipoRazaEliminar.vue';

import Clonar from '@/core/util/Clonar.js';

export default {
  name: 'TipoRazaListar',
  components: {
    TablaListar, ModalCrear, ModalEditar, ModalEliminar
  },
  data() {
    return {
      sTipoRaza: {},
    }
  },

  methods: {
    onTipoRazaListar() {
      this.$refs.tablaTipoRazaListar.onTipoRazaListar();
    },

    onTipoRazaEditar(tipoRaza) {
      this.sTipoRaza = Clonar.clon(tipoRaza);
    },

    onTipoRazaEliminar(tipoRaza) {
      this.sTipoRaza = Clonar.clon(tipoRaza);
    }
  }

}
</script>